%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:		timeline
Version:	1.5.0
Release:	1%{?dist}
Summary:	Displays and navigates events on a timeline

Group:		Applications/Productivity
License:	GPLv3 and CC-BY-SA
URL:		http://thetimelineproj.sourceforge.net/
Source0:	http://downloads.sourceforge.net/thetimelineproj/%{name}-%{version}.zip
Source1:	timeline.desktop
Patch0:		timeline-0.20.0-paths.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
Requires:	wxPython python-markdown python-icalendar hicolor-icon-theme python-svg

%description
Timeline is a cross-platform application for displaying and navigating 
events on a timeline.

%prep
%setup -q

%patch0 -p0

%build

for i in `find . -type f -name '*.py'`
do
  sed -i 's/\r//' $i
done

cd po
for f in *.po
do
  language=${f%.po}
  mkdir -p $language/LC_MESSAGES
  msgfmt --statistics -o $language/LC_MESSAGES/%{name}.mo $f
done


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/timeline

install -m 755 timeline.py $RPM_BUILD_ROOT%{_bindir}/timeline
#cp -pr help_resources $RPM_BUILD_ROOT%{_datadir}/timeline/
cp -pr icons $RPM_BUILD_ROOT%{_datadir}/timeline/
cp -pr libs $RPM_BUILD_ROOT%{_datadir}/timeline/

mkdir -p $RPM_BUILD_ROOT%{python_sitelib}/timelinelib
cp -pr timelinelib/* $RPM_BUILD_ROOT%{python_sitelib}/timelinelib/

#mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
#cp -pr man/man1/timeline.1 $RPM_BUILD_ROOT%{_mandir}/man1/

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
install -p -m 644 icons/48.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/timeline.png

desktop-file-install \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale
cp -a po/*/ $RPM_BUILD_ROOT%{_datadir}/locale/

#Drop bundled python libs.
rm -rf $RPM_BUILD_ROOT%{_datadir}/timeline/libs/dependencies/*

%find_lang %{name}

%post
touch --no-create %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :

%posttrans
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
 %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README doc/
%{_bindir}/*
%{_datadir}/timeline
%{_datadir}/applications/timeline.desktop
%{_datadir}/icons/hicolor/48x48/apps/timeline.png
%{python_sitelib}/timelinelib*
#%{_mandir}/man1/timeline.1.gz

%changelog
* Tue Feb 03 2015 Jon Ciesla <limburgher@gmail.com> - 1.5.0-1
- Latest upstream.

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Apr 24 2014 Jon Ciesla <limburgher@gmail.com> - 1.2.4-1
- Latest upstream.

* Mon Oct 21 2013 Jon Ciesla <limburgher@gmail.com> - 1.0.1-1
- Latest upstream.

* Fri Oct 11 2013 Jon Ciesla <limburgher@gmail.com> - 0.20.0-3
- Fix typo, BZ 1018161.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed May 15 2013 Jon Ciesla <limburgher@gmail.com> - 0.20.0-1
- Latest upstream.

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.18.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Nov 19 2012 Jon Ciesla <limburgher@gmail.com> - 0.18.0-1
- Latest upstream.
- Fix end-of-line encodings.

* Mon Nov 19 2012 Jon Ciesla <limburgher@gmail.com> - 0.16.0-3
- Use system python libs.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Feb 20 2012 Jon Ciesla <limburgher@gmail.com> - 0.16.0-1
- New upstream.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Oct 28 2011 Jon Ciesla <limb@jcomserv.net> - 0.14.0-3
- Incorporated Mamoru's .po fixes.
- Moved scriptlet back to post.
- Moved update icon cache to postrans.
- Dropped scons BR.

* Wed Oct 26 2011 Jon Ciesla <limb@jcomserv.net> - 0.14.0-2
- Fixed license tag.
- Fixed mandir macro.
- Moved scriptlet to posttrans.
- Dropped INSTALL.

* Thu Oct 20 2011 Jon Ciesla <limb@jcomserv.net> - 0.14.0-1
- First build.
